## mathgl 8.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

if(POLICY CMP0078)
    cmake_policy(SET CMP0078 NEW)
endif()
if(POLICY CMP0086)
    cmake_policy(SET CMP0086 NEW)
endif()
if(POLICY CMP0127)
    cmake_policy(SET CMP0127 NEW)
endif()

project( MathGL2 )

set(mgl_clean_files )
set(MGL_DEP_LIBS)
add_definitions(-DMGL_SRC)

#add_definitions(-DZLIB_WINAPI)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${MathGL2_SOURCE_DIR}/scripts)

if(NOT CMAKE_BUILD_TYPE)
	set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Choose the type of build, options are:
		None(CMAKE_CXX_FLAGS or CMAKE_C_FLAGS used) Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif(NOT CMAKE_BUILD_TYPE)

set(CMAKE_VERBOSE_MAKEFILE ON)
set(MathGL_VERSION_MAJOR 8)
set(MathGL_VERSION_MINOR 0)
set(MathGL_PATCH_VERSION 2)
set(MathGL_VERSION ${MathGL_VERSION_MAJOR}.${MathGL_VERSION_MINOR}.${MathGL_PATCH_VERSION})
set(MathGL_SOVERSION ${MathGL_VERSION_MAJOR})
string(TIMESTAMP MathGL_DATE UTC)

if(CMAKE_BUILD_TYPE STREQUAL "Debug")
	option(enable-lcov "Enable coverage." OFF)
	if(enable-lcov)
		include(CodeCoverage)
		APPEND_COVERAGE_COMPILER_FLAGS()
	endif(enable-lcov)
else(CMAKE_BUILD_TYPE STREQUAL "Debug")
	unset(enable-lcov CACHE)
endif(CMAKE_BUILD_TYPE STREQUAL "Debug")

#set(CMAKE_CXX_OUTPUT_EXTENSION_REPLACE 1)
set(MathGL_INSTALL_LIB_DIR "lib" CACHE PATH "Installation directory for libraries")
set(MathGL_INSTALL_BIN_DIR "bin" CACHE PATH "Installation directory for executables")
set(MathGL_INSTALL_INCLUDE_DIR "include" CACHE PATH "Installation directory for headers")
if(WIN32 AND NOT CYGWIN)
	set(DEF_INSTALL_CMAKE_DIR cmake)
else()
	set(DEF_INSTALL_CMAKE_DIR lib/cmake/mathgl2)
endif()
set(MathGL_INSTALL_CMAKE_DIR ${DEF_INSTALL_CMAKE_DIR} CACHE PATH "Installation directory for CMake files")
# Make relative paths absolute (needed later on)
foreach(p LIB BIN INCLUDE CMAKE)
	set(var MathGL_INSTALL_${p}_DIR)
	if(NOT IS_ABSOLUTE "${${var}}")
		set(${var} "${CMAKE_INSTALL_PREFIX}/${${var}}")
	endif()
endforeach()

macro(mgl_po_src)
	set(l_files )
	foreach(src_file ${ARGN})
		get_filename_component(fp ${src_file} ABSOLUTE)
		file(RELATIVE_PATH rel ${CMAKE_SOURCE_DIR} ${fp})
		list(APPEND l_files "${rel}")
	endforeach(src_file ${ARGN})
	set(po_files ${po_files} ${l_files} PARENT_SCOPE)
endmacro(mgl_po_src)

function(mgl_add_lib mgl_tmp_lib)
	if(${mgl_tmp_lib} MATCHES mgl)
		set(mgllib mgl)
		set(mgllib2 mgl2)
	else(${mgl_tmp_lib} MATCHES mgl)
		set(mgllib mgl-${mgl_tmp_lib})
		set(mgllib2 mgl2-${mgl_tmp_lib})
	endif(${mgl_tmp_lib} MATCHES mgl)
	set(mgl_src_lst ${ARGV})
	list(REMOVE_AT mgl_src_lst 0)
	add_library(${mgllib} SHARED ${mgl_src_lst})
	add_library(${mgllib}-static STATIC ${mgl_src_lst})
	set_target_properties(${mgllib} PROPERTIES SOVERSION ${MathGL_SOVERSION})
	set_target_properties(${mgllib} PROPERTIES VERSION ${MathGL_VERSION})
	set_target_properties(${mgllib} PROPERTIES DEFINE_SYMBOL "mgl_EXPORTS")
	set_target_properties(${mgllib} PROPERTIES C_VISIBILITY_PRESET hidden)
	set_target_properties(${mgllib} PROPERTIES CXX_VISIBILITY_PRESET hidden)
	set_target_properties(${mgllib} PROPERTIES VISIBILITY_INLINES_HIDDEN 1)
	target_compile_definitions(${mgllib}-static PUBLIC MGL_STATIC_DEFINE)
	if(MSVC)
		set(mgl_lib_static "-static")
		set (CMAKE_DEBUG_POSTFIX "d")
		set_target_properties(${mgllib} PROPERTIES DEBUG_POSTFIX ${CMAKE_DEBUG_POSTFIX})
		set_target_properties(${mgllib}-static PROPERTIES DEBUG_POSTFIX ${CMAKE_DEBUG_POSTFIX})
#		if(CMAKE_BUILD_TYPE STREQUAL "Debug")
#			set(mgl_lib_end "d")
#		else(CMAKE_BUILD_TYPE STREQUAL "Debug")
#			set(mgl_lib_end)
#		endif(CMAKE_BUILD_TYPE STREQUAL "Debug")
	elseif(MSVC)
		set(mgl_lib_static)
		set_target_properties(${mgllib} PROPERTIES CLEAN_DIRECT_OUTPUT 1)
	set_target_properties(${mgllib}-static PROPERTIES CLEAN_DIRECT_OUTPUT 1)
	endif(MSVC)
	if(enable-mgl2)
			set_target_properties(${mgllib} PROPERTIES OUTPUT_NAME "${mgllib2}${mgl_lib_end}")
			set_target_properties(${mgllib}-static PROPERTIES OUTPUT_NAME "${mgllib2}${mgl_lib_static}${mgl_lib_end}")
	else(enable-mgl2)
			set_target_properties(${mgllib} PROPERTIES OUTPUT_NAME "${mgllib}${mgl_lib_end}")
			set_target_properties(${mgllib}-static PROPERTIES OUTPUT_NAME "${mgllib}${mgl_lib_static}${mgl_lib_end}")
	endif(enable-mgl2)

	install(
			TARGETS ${mgllib} ${mgllib}-static
			EXPORT MathGLTargets
			RUNTIME DESTINATION ${MathGL_INSTALL_BIN_DIR}
			ARCHIVE DESTINATION ${MathGL_INSTALL_LIB_DIR}
			LIBRARY DESTINATION ${MathGL_INSTALL_LIB_DIR}
	)
endfunction(mgl_add_lib mgl_tmp_lib)

MACRO(MGL_DEPENDENT_OPTION option doc default depends1 force1 depends2 force2)
  IF(${option}_ISSET MATCHES "^${option}_ISSET$")
    SET(${option}_AVAILABLE 1)
    IF(${force1})
    FOREACH(d ${depends1})
      STRING(REGEX REPLACE " +" ";" CMAKE_DEPENDENT_OPTION_DEP "${d}")
      IF(${CMAKE_DEPENDENT_OPTION_DEP})
      ELSE(${CMAKE_DEPENDENT_OPTION_DEP})
          SET(${option}_AVAILABLE 0)
          SET(depends1_AVAILABLE 1)
      ENDIF(${CMAKE_DEPENDENT_OPTION_DEP})
    ENDFOREACH(d)
    ENDIF(${force1})
    IF(${force2})
    FOREACH(d ${depends2})
      STRING(REGEX REPLACE " +" ";" CMAKE_DEPENDENT_OPTION_DEP "${d}")
      IF(${CMAKE_DEPENDENT_OPTION_DEP})
      ELSE(${CMAKE_DEPENDENT_OPTION_DEP})
          SET(${option}_AVAILABLE 0)
          SET(depends2_AVAILABLE 1)
      ENDIF(${CMAKE_DEPENDENT_OPTION_DEP})
    ENDFOREACH(d)
    ENDIF(${force2})
    IF(${option}_AVAILABLE)
      OPTION(${option} "${doc}" "${default}")
      SET(${option} "${${option}}" CACHE BOOL "${doc}" FORCE)
    ELSE(${option}_AVAILABLE)
      IF(${option} MATCHES "^${option}$")
      ELSE(${option} MATCHES "^${option}$")
        SET(${option} "${${option}}" CACHE INTERNAL "${doc}")
      ENDIF(${option} MATCHES "^${option}$")
        IF(depends1_AVAILABLE)
          SET(${option} OFF)
        ELSEIF(depends2_AVAILABLE)
          SET(${option} ON)
        ENDIF(depends1_AVAILABLE)
    ENDIF(${option}_AVAILABLE)
  ELSE(${option}_ISSET MATCHES "^${option}_ISSET$")
    SET(${option} "${${option}_ISSET}")
  ENDIF(${option}_ISSET MATCHES "^${option}_ISSET$")
ENDMACRO(MGL_DEPENDENT_OPTION)
include(CMakeDependentOption)

string(TIMESTAMP MGL_NIGHT "%d.%m.%y")

if(WIN32)
	option(enable-dep-dll "Enable copying off all dependent dll libraries to the install directory" OFF)
endif(WIN32)

option(enable-double "Enable double precision in MathGL library" ON)
option(enable-mpi "Enable mpi")
option(enable-opengl "Enable OpenGL support" ON)
option(enable-all-docs "Enable all documentation building")
#option(enable-doc "Enable documentation building")
option(enable-all "Enable all core features")
option(enable-all-widgets "Enable all Widgets")
option(enable-all-swig "Enable all SWIG based interfaces")
option(enable-rvalue "Enable move constructor support (need C++11)" OFF)
option(enable-pthread "Enable POSIX threads support" OFF)
if(MSVC)
	option(enable-pthr-widget "Enable POSIX threads for widgets" OFF)
else(MSVC)
	option(enable-pthr-widget "Enable POSIX threads for widgets" ON)
endif(MSVC)
option(enable-openmp "Enable OpenMP support" ON)
option(disable-C99complex "Enable C99 complex number support" OFF)

if(enable-pthread AND enable-openmp)
	message(SEND_ERROR "You can't enable POSIX threads and OpenMP at the same time!")
endif(enable-pthread AND enable-openmp)

option(enable-lgpl "Enable only LGPL part of MathGL")
option(enable-mgl2 "Use names 'libmgl2-*' instead of 'libmgl-*'")
CMAKE_DEPENDENT_OPTION(enable-ltdl "Enable loading modules support" OFF "NOT enable-all" ON)
option(enable-doc-site "Enable HTML documentation for website")
#CMAKE_DEPENDENT_OPTION(enable-doc-site "Enable HTML documentation for website" OFF "NOT enable-all-docs" ON)
CMAKE_DEPENDENT_OPTION(enable-doc-html "Enable HTML documentation" OFF "NOT enable-all-docs" ON)
CMAKE_DEPENDENT_OPTION(enable-doc-info "Enable INFO documentation" OFF "NOT enable-all-docs" ON)
CMAKE_DEPENDENT_OPTION(enable-doc-pdf-ru "Enable Russian PDF documentation" OFF "NOT enable-all-docs" ON)
CMAKE_DEPENDENT_OPTION(enable-doc-pdf-en "Enable English PDF documentation" OFF "NOT enable-all-docs" ON)
#CMAKE_DEPENDENT_OPTION(enable-doc-prc "Enable PDF samples for HTML docs" OFF "NOT enable-all-docs" ON)
#CMAKE_DEPENDENT_OPTION(enable-doc-json "Enable JSON samples for HTML docs" OFF "NOT enable-all-docs" ON)
option(enable-texi2html "Use texi2html (obsolete package) instead of texi2any" OFF)
CMAKE_DEPENDENT_OPTION(enable-mgltex "Enable installation of mgltex package (MGL scripts in LATEX document)" OFF "NOT enable-lgpl" OFF)

CMAKE_DEPENDENT_OPTION(enable-zlib "Enable zlib support" ON "NOT enable-all" ON)
CMAKE_DEPENDENT_OPTION(enable-png "Enable png support" ON "NOT enable-all" ON)
CMAKE_DEPENDENT_OPTION(enable-jpeg "Enable jpeg support" OFF "NOT enable-all" ON)
MGL_DEPENDENT_OPTION(enable-gsl "Enable gsl support" OFF "NOT enable-lgpl" ON "NOT enable-all" ON)
MGL_DEPENDENT_OPTION(enable-hdf4 "Enable hdf4 support" OFF "NOT enable-lgpl" ON "NOT enable-all" ON)
MGL_DEPENDENT_OPTION(enable-hdf5 "Enable hdf5 support" OFF "NOT enable-lgpl" ON "NOT enable-all" ON)
CMAKE_DEPENDENT_OPTION(enable-pdf "Enable pdf support" OFF "NOT enable-all" ON)
CMAKE_DEPENDENT_OPTION(enable-gif "Enable gif support" OFF "NOT enable-all" ON)
CMAKE_DEPENDENT_OPTION(enable-arma "Enable Armadillo support" OFF "NOT enable-all" ON)
CMAKE_DEPENDENT_OPTION(enable-glut "Enable glut support" OFF "NOT enable-all-widgets" ON)
CMAKE_DEPENDENT_OPTION(enable-fltk "Enable fltk widget" OFF "NOT enable-all-widgets" ON)
CMAKE_DEPENDENT_OPTION(enable-wx "Enable wxWidget widget" OFF "NOT enable-all-widgets" ON)

CMAKE_DEPENDENT_OPTION(enable-qt "Enable the first found Qt widget" OFF "NOT enable-all-widgets" ON)
CMAKE_DEPENDENT_OPTION(enable-qt4 "Enable Qt4 widget" OFF "NOT enable-qt" OFF)
CMAKE_DEPENDENT_OPTION(enable-qt5 "Enable Qt5 widget" OFF "NOT enable-qt" OFF)
CMAKE_DEPENDENT_OPTION(enable-qt6 "Enable Qt6 widget" OFF "NOT enable-qt" OFF)
CMAKE_DEPENDENT_OPTION(enable-qt4asqt "Set Qt4 as default libmgl-qt" OFF "enable-qt4" OFF)
CMAKE_DEPENDENT_OPTION(enable-qt5asqt "Set Qt5 as default libmgl-qt" OFF "enable-qt5" OFF)
CMAKE_DEPENDENT_OPTION(enable-qt6asqt "Set Qt6 as default libmgl-qt" OFF "enable-qt6" OFF)
if(enable-qt OR enable-qt4 OR enable-qt5 OR enable-qt6)
	set(QT_ENABLED ON)
	if(enable-qt4asqt AND enable-qt5asqt)
		message(SEND_ERROR "You cannot make Qt4 and Qt5 as qt at the same time.")
	endif(enable-qt4asqt AND enable-qt5asqt)
	if(enable-qt5asqt AND enable-qt6asqt)
		message(SEND_ERROR "You cannot make Qt5 and Qt6 as qt at the same time.")
	endif(enable-qt5asqt AND enable-qt6asqt)
	if(enable-qt4asqt AND enable-qt6asqt)
		message(SEND_ERROR "You cannot make Qt4 and Qt6 as qt at the same time.")
	endif(enable-qt4asqt AND enable-qt6asqt)
		if(NOT (enable-qt OR enable-qt4asqt OR enable-qt5asqt OR enable-qt6asqt))
			if(enable-qt5)
				set(enable-qt5asqt ON CACHE BOOL "Set Qt5 as default libmgl-qt" FORCE)
				message("You did not enable one of the following options enable-qt4asqt or enable-qt5asqt or enable-qt6asqt. So selection of Qt5 as a default Qt by enable-qt5asqt was made.")
			elseif(enable-qt5)
				if(enable-qt6)
					set(enable-qt6asqt ON CACHE BOOL "Set Qt6 as default libmgl-qt" FORCE)
					message("You did not enable one of the following options enable-qt4asqt or enable-qt5asqt or enable-qt6asqt. So selection of Qt6 as a default Qt by enable-qt6asqt was made.")
				elseif(enable-qt6)
					if(enable-qt4)
						set(enable-qt4asqt ON CACHE BOOL "Set Qt4 as default libmgl-qt" FORCE)
						message("You did not enable one of the following options enable-qt4asqt or enable-qt5asqt or enable-qt6asqt. So selection of Qt4 as a default Qt by enable-qt4asqt was made.")
					endif(enable-qt4)
				endif(enable-qt6)
			endif(enable-qt5)
		endif(NOT (enable-qt OR enable-qt4asqt OR enable-qt5asqt OR enable-qt6asqt))
endif(enable-qt OR enable-qt4 OR enable-qt5 OR enable-qt6)

set(mgl_qt4_components QtCore QtGui QtOpenGL)
set(mgl_qt4_components_wk QtNetwork QtWebKit)
set(mgl_qt4_components_we)

=== examples/CMakeLists.txt ===
file(COPY ${CMAKE_SOURCE_DIR}/udav_new.png DESTINATION ${CMAKE_BINARY_DIR}/examples)
file(COPY ${CMAKE_SOURCE_DIR}/examples/iris.dat DESTINATION ${CMAKE_BINARY_DIR}/examples)
file(COPY ${CMAKE_SOURCE_DIR}/examples/Equirectangular-projection.jpg DESTINATION ${CMAKE_BINARY_DIR}/examples)
file(COPY ${CMAKE_SOURCE_DIR}/examples/samples.cpp DESTINATION ${CMAKE_BINARY_DIR}/examples)
file(COPY ${CMAKE_SOURCE_DIR}/examples/wnd_samples.cpp DESTINATION ${CMAKE_BINARY_DIR}/examples)
add_executable(mgl_example wnd_samples.cpp full_test.cpp samples.cpp)
target_link_libraries(mgl_example mgl-static ${getopt_lib-static})
if(CMAKE_BUILD_TYPE STREQUAL "Debug" AND CMAKE_COMPILER_IS_GNUCXX AND enable-lcov)
	setup_target_for_coverage(
	    NAME mgl_coverage
	    EXECUTABLE $<TARGET_FILE:mgl_example> -mgl
	    DEPENDENCIES mgl_example
	)
endif(CMAKE_BUILD_TYPE STREQUAL "Debug" AND CMAKE_COMPILER_IS_GNUCXX AND enable-lcov)

if(MGL_HAVE_FLTK)
	include_directories(${FLTK_INCLUDE_DIR})
	add_executable(mgl_fltk_example wnd_samples.cpp fltk_example.cpp)
	target_link_libraries(mgl_fltk_example mgl-fltk)
endif(MGL_HAVE_FLTK)

if(MGL_HAVE_GLUT)
	add_executable(mgl_glut_example wnd_samples.cpp glut_example.cpp)
	target_link_libraries(mgl_glut_example mgl-glut)
endif(MGL_HAVE_GLUT)

if(MGL_HAVE_WX)
	include(${wxWidgets_USE_FILE})
	add_executable(mgl_wx_example wnd_samples.cpp wx_example.cpp)
	target_link_libraries(mgl_wx_example mgl-wx)
endif(MGL_HAVE_WX)

if(TARGET mgl-qt)
        include(../scripts/qt.cmake)
        find_qt_libs(${mgl_qt_major} ${mgl_qt_version} ON ON ${mgl_qt_components})

	add_executable(mgl_qt_example wnd_samples.cpp qt_example.cpp)
	target_link_libraries(mgl_qt_example mgl-qt)

	if(MGL_HAVE_OPENGL)
		add_executable(mgl_qgl_example wnd_samples.cpp qgl_example.cpp)
		target_link_libraries(mgl_qgl_example mgl ${MGL_QT_LIBS})
	endif(MGL_HAVE_OPENGL)
endif(TARGET mgl-qt)

if(MGL_HAVE_LTDL)
	add_library(mgl_module MODULE mgl_module.cpp)
	target_link_libraries(mgl_module mgl)	# for compatibility with win32
endif(MGL_HAVE_LTDL)

if(MGL_HAVE_MPI)
	add_executable(mgl_mpi_example mpi_test.cpp)
	target_link_libraries(mgl_mpi_example mgl-mpi mgl ${MPI_LIBRARIES})
	target_include_directories(mgl_mpi_example SYSTEM PUBLIC ${MPI_CXX_INCLUDE_PATH})
endif(MGL_HAVE_MPI)

=== texinfo/CMakeLists.txt ===
configure_file(${MathGL2_SOURCE_DIR}/texinfo/version.texi.in ${MathGL2_BINARY_DIR}/texinfo/version.texi)

#set(MGL_EXTRA light pendelta)
set(MGL_EXTRA )
set(MGL_PNG_ONLY quality0 quality1 quality2 quality4 quality5 quality6 quality8 pendelta fexport) 
set(MGL_PNG 3wave alpha apde area aspect axial axis background barh bars belt beltc bifurcation box boxplot boxs candle chart cloud colorbar combined cones cont cont3 cont_xyz contd contf contf3 contf_xyz conts contv correl curvcoor cut daisy dat_diff dat_extra data1 data2 dcont dens dens3 dens_xyz detect dew diffract dilate dots earth error error2 export fall fit flame2d flow flow3 fog fonts grad hist icon ifs2d ifs3d indirect inplot iris keep label lamerey legend light lines loglog map mark mask mesh minmax mirror molecule ode ohlc param1 param2 param3 paramv parser pde pipe plot pmap primitives projection projection5 pulse qo2d radar refill region scanfile schemes section several_light solve stem step stereo stfa style surf surf3 surf3a surf3c surf3ca surfa surfc surfca table tape tens ternary text text2 textmark ticks tile tiles torus traj triangulation triplot tube type0 type1 type2 vect vect3 venn )
set(MGL_PNG_N )
set(MGL_PNG_S )
set(MGL_PNG_J )
set(MGL_PNG_D )

set(MGL_OUT ${CMAKE_BINARY_DIR}/texinfo)
set(MGL_TEX ${CMAKE_SOURCE_DIR}/texinfo)
file(MAKE_DIRECTORY ${MGL_OUT}/udav)
file(MAKE_DIRECTORY ${MGL_OUT}/png)
file(MAKE_DIRECTORY ${MGL_OUT}/small)
file(MAKE_DIRECTORY ${MGL_OUT}/json)
file(MAKE_DIRECTORY ${MGL_OUT}/pdf)
file(COPY ${MGL_TEX}/qt.png ${MGL_TEX}/fltk.png ${MGL_TEX}/classes.png ${MGL_TEX}/emblem_sm.png ${MGL_TEX}/datadvance.png DESTINATION ${MGL_OUT})
file(COPY ${MGL_TEX}/index.html ${MGL_TEX}/json.html ${MGL_TEX}/mathgl.js DESTINATION ${MGL_OUT})
file(COPY ${CMAKE_SOURCE_DIR}/examples/iris.dat DESTINATION ${MGL_OUT}/png)
file(COPY ${CMAKE_SOURCE_DIR}/examples/iris.dat DESTINATION ${MGL_OUT}/small)
file(COPY ${CMAKE_SOURCE_DIR}/examples/iris.dat DESTINATION ${MGL_OUT}/json)
file(COPY ${CMAKE_SOURCE_DIR}/examples/iris.dat DESTINATION ${MGL_OUT}/pdf)
file(COPY ${CMAKE_SOURCE_DIR}/udav_new.png DESTINATION ${MGL_OUT}/png)
file(COPY ${CMAKE_SOURCE_DIR}/udav_new.png DESTINATION ${MGL_OUT}/small)
file(COPY ${CMAKE_SOURCE_DIR}/udav_new.png DESTINATION ${MGL_OUT}/json)
file(COPY ${CMAKE_SOURCE_DIR}/udav_new.png DESTINATION ${MGL_OUT}/pdf)
file(COPY ${CMAKE_SOURCE_DIR}/examples/Equirectangular-projection.jpg DESTINATION ${MGL_OUT}/png)
file(COPY ${CMAKE_SOURCE_DIR}/examples/Equirectangular-projection.jpg DESTINATION ${MGL_OUT}/small)
file(COPY ${CMAKE_SOURCE_DIR}/examples/Equirectangular-projection.jpg DESTINATION ${MGL_OUT}/json)
file(COPY ${CMAKE_SOURCE_DIR}/examples/Equirectangular-projection.jpg DESTINATION ${MGL_OUT}/pdf)
file(COPY ${CMAKE_SOURCE_DIR}/examples/samples.cpp DESTINATION ${MGL_OUT})
file(COPY ${CMAKE_SOURCE_DIR}/examples/wnd_samples.cpp DESTINATION ${MGL_OUT})

set(UDAV_IMG udav_arg.png udav_calc.png udav_cmd.png udav_data.png udav_mask.png
	udav_gen_set.png udav_help.png udav_light.png udav_main.png udav_opt.png udav_inplot.png
	udav_pen.png udav_prop.png udav_sch.png udav_txt.png udav_var.png)
foreach(SAMPLE ${UDAV_IMG})
	file(COPY ${MGL_TEX}/udav/${SAMPLE} DESTINATION ${MGL_OUT}/udav/)
endforeach(SAMPLE)

add_custom_command(OUTPUT ${MGL_OUT}/samples.texi
	COMMAND mgl_example -texi
	DEPENDS mgl_example
	WORKING_DIRECTORY ${MGL_OUT} )
#add_custom_command(OUTPUT ${MGL_OUT}/time.texi
#	COMMAND mgl_example -time
#	DEPENDS mgl_example
#	WORKING_DIRECTORY ${MGL_OUT} )
#add_custom_command(OUTPUT ${MGL_OUT}/time_big.texi
#	COMMAND mgl_example -time -big
#	DEPENDS mgl_example
#	WORKING_DIRECTORY ${MGL_OUT} )


foreach(SAMPLE ${MGL_PNG_ONLY})
	set(MGL_PNG_N ${MGL_PNG_N} ${MGL_OUT}/png/${SAMPLE}.png)
	add_custom_command(OUTPUT ${MGL_OUT}/png/${SAMPLE}.png
		COMMAND mgl_example -kind=${SAMPLE} --thread=1
		DEPENDS mgl_example
		WORKING_DIRECTORY ${MGL_OUT}/png )
	set(MGL_PNG_S ${MGL_PNG_S} ${MGL_OUT}/small/${SAMPLE}-sm.png)
	add_custom_command(OUTPUT ${MGL_OUT}/small/${SAMPLE}-sm.png
		COMMAND mgl_example -kind=${SAMPLE} -mini --thread=1
		DEPENDS mgl_example
		WORKING_DIRECTORY ${MGL_OUT}/small )
endforeach(SAMPLE)

foreach(SAMPLE ${MGL_PNG})
	set(MGL_PNG_N ${MGL_PNG_N} ${MGL_OUT}/png/${SAMPLE}.png)
	add_custom_command(OUTPUT ${MGL_OUT}/png/${SAMPLE}.png
		COMMAND mgl_example -kind=${SAMPLE} --thread=1
		DEPENDS mgl_example
		WORKING_DIRECTORY ${MGL_OUT}/png )
	set(MGL_PNG_S ${MGL_PNG_S} ${MGL_OUT}/small/${SAMPLE}-sm.png)
	add_custom_command(OUTPUT ${MGL_OUT}/small/${SAMPLE}-sm.png
		COMMAND mgl_example -kind=${SAMPLE} -mini --thread=1
		DEPENDS mgl_example
		WORKING_DIRECTORY ${MGL_OUT}/small )

	if(MGL_HAVE_DOC_JSON)
		set(MGL_PNG_J ${MGL_PNG_J} ${MGL_OUT}/json/${SAMPLE}.json)
		add_custom_command(OUTPUT ${MGL_OUT}/json/${SAMPLE}.json
			COMMAND mgl_example -json -kind=${SAMPLE} --thread=1
			DEPENDS mgl_example
			WORKING_DIRECTORY ${MGL_OUT}/json )
	endif(MGL_HAVE_DOC_JSON)
	if(MGL_HAVE_DOC_PRC)
		set(MGL_PNG_D ${MGL_PNG_D} ${MGL_OUT}/pdf/${SAMPLE}.pdf)
		add_custom_command(OUTPUT ${MGL_OUT}/pdf/${SAMPLE}.pdf
			COMMAND mgl_example -pdf -kind=${SAMPLE} --thread=1
			DEPENDS mgl_example
			WORKING_DIRECTORY ${MGL_OUT}/pdf )
	endif(MGL_HAVE_DOC_PRC)
endforeach(SAMPLE)

foreach(SAMPLE ${MGL_EXTRA})
	set(MGL_PNG_N ${MGL_PNG_N} ${MGL_OUT}/png/${SAMPLE}.png)
	add_custom_command(OUTPUT ${MGL_OUT}/png/${SAMPLE}.png
		COMMAND mgl_example -kind=${SAMPLE} --thread=1
		DEPENDS mgl_example
		WORKING_DIRECTORY ${MGL_OUT}/png )
	set(MGL_PNG_S ${MGL_PNG_S} ${MGL_OUT}/small/${SAMPLE}-sm.png)
	add_custom_command(OUTPUT ${MGL_OUT}/small/${SAMPLE}-sm.png
		COMMAND mgl_example -kind=${SAMPLE} -mini --thread=1
		DEPENDS mgl_example
		WORKING_DIRECTORY ${MGL_OUT}/small )
endforeach(SAMPLE)

# NOTE: direct generation of time*.texi is too slow :(
set(list_texi_files_en overview_en.texi example_en.texi ex_mgl_en.texi parse_en.texi formats_en.texi udav_en.texi symbols_en.texi core_en.texi concept_en.texi widget_en.texi data_en.texi other_en.texi appendix_en.texi fdl.texi ${MathGL2_BINARY_DIR}/texinfo/version.texi time.texi time_big.texi ${MGL_OUT}/samples.texi )
set(list_texi_files_ru overview_ru.texi example_ru.texi ex_mgl_ru.texi parse_ru.texi formats_ru.texi udav_ru.texi symbols_ru.texi core_ru.texi concept_ru.texi widget_ru.texi data_ru.texi other_ru.texi appendix_ru.texi fdl.texi ${MathGL2_BINARY_DIR}/texinfo/version.texi time.texi time_big.texi ${MGL_OUT}/samples.texi )

add_custom_command(OUTPUT ${MGL_OUT}/mathgl_en.info
	COMMAND ${findmi} ${MGL_TEX}/mathgl_en.texi
	DEPENDS ${list_texi_files_en} mathgl_en.texi #${MGL_PNG_N}
	WORKING_DIRECTORY ${MGL_OUT}
)
add_custom_command(OUTPUT ${MGL_OUT}/mathgl_ru.info
	COMMAND ${findmi} ${MGL_TEX}/mathgl_ru.texi
	DEPENDS ${list_texi_files_ru} mathgl_ru.texi #${MGL_PNG_N}
	WORKING_DIRECTORY ${MGL_OUT}
)

add_custom_command(OUTPUT ${MGL_OUT}/mathgl_en.html
	COMMAND ${findth} ${th_opt} -I ${MGL_OUT} --no-split ${MGL_TEX}/mathgl_en.texi
	DEPENDS ${list_texi_files_en} mathgl_en.texi ${MGL_PNG_N}
	WORKING_DIRECTORY ${MGL_OUT}
)
add_custom_command(OUTPUT ${MGL_OUT}/mgl_en.html
	COMMAND ${findth} ${th_opt} --set-customization-variable 'BODYTEXT ' -I ${MGL_OUT} --no-split ${MGL_TEX}/mgl_en.texi
	# following line bypass FLTK bugs
	COMMAND sed "'s/&ndash;/-/g'" -i ${MGL_OUT}/mgl_en.html
	COMMAND sed "'s/&lsquo;/`/g'" -i ${MGL_OUT}/mgl_en.html
	COMMAND sed "'s/&rsquo;/`/g'" -i ${MGL_OUT}/mgl_en.html

	COMMAND sed "'s/<a class=\"index-entry-id\" id=\"/<!--/g'" -i ${MGL_OUT}/mgl_en.html
	COMMAND sed "'s/<a class=\"anchor\" id=\"/<!--/g'" -i ${MGL_OUT}/mgl_en.html
	COMMAND sed "'s/\"><\\/a>/-->/g'" -i ${MGL_OUT}/mgl_en.html
	COMMAND sed "'s/index-//g'" -i ${MGL_OUT}/mgl_en.html
	DEPENDS ${list_texi_files_en} mgl_en.texi ${MGL_PNG_N}
	WORKING_DIRECTORY ${MGL_OUT}
)
add_custom_command(OUTPUT ${MGL_OUT}/mathgl_ru.html
	COMMAND ${findth} ${th_opt} -I=${MGL_OUT} --no-split ${MGL_TEX}/mathgl_ru.texi
	DEPENDS ${list_texi_files_ru} mathgl_ru.texi ${MGL_PNG_N}
	WORKING_DIRECTORY ${MGL_OUT}
)
add_custom_command(OUTPUT ${MGL_OUT}/mgl_ru.html
	COMMAND ${findth} ${th_opt} --set-customization-variable 'BODYTEXT ' -I=${MGL_OUT} --no-split ${MGL_TEX}/mgl_ru.texi
	# following line bypass FLTK bugs
	COMMAND sed "'s/&ndash;/-/g'" -i ${MGL_OUT}/mgl_ru.html
	COMMAND sed "'s/&lsquo;/`/g'" -i ${MGL_OUT}/mgl_ru.html
	COMMAND sed "'s/&rsquo;/`/g'" -i ${MGL_OUT}/mgl_ru.html

	COMMAND sed "'s/<a class=\"index-entry-id\" id=\"/<!--/g'" -i ${MGL_OUT}/mgl_ru.html
	COMMAND sed "'s/<a class=\"anchor\" id=\"/<!--/g'" -i ${MGL_OUT}/mgl_ru.html
	COMMAND sed "'s/\"><\\/a>/-->/g'" -i ${MGL_OUT}/mgl_ru.html
	COMMAND sed "'s/index-//g'" -i ${MGL_OUT}/mgl_ru.html
	DEPENDS ${list_texi_files_ru} mgl_ru.texi ${MGL_PNG_N}
	WORKING_DIRECTORY ${MGL_OUT}
)

add_custom_command(OUTPUT ${site_en}
	COMMAND ${findth} ${th_opt} -I=${MGL_OUT}/png --split=node -o doc_en ${MGL_TEX}/doc_en.texi
	DEPENDS ${list_texi_files_en} doc_en.texi ${MGL_PNG_N} web_en.texi ${MGL_PNG_S} ${MGL_PNG_J} ${MGL_PNG_D}
	WORKING_DIRECTORY ${MGL_OUT}
)
add_custom_command(OUTPUT ${site_ru}
	COMMAND ${findth} ${th_opt} -I=${MGL_OUT}/png --split=node -o doc_ru ${MGL_TEX}/doc_ru.texi
	DEPENDS ${list_texi_files_ru} doc_ru.texi ${MGL_PNG_N} web_ru.texi ${MGL_PNG_S} ${MGL_PNG_J} ${MGL_PNG_D}
	WORKING_DIRECTORY ${MGL_OUT}
)

add_custom_command(OUTPUT ${MGL_OUT}/mathgl_en.pdf
	COMMAND ${findtp} ${MGL_TEX}/mathgl_en.texi
	COMMAND ${findtp} ${MGL_TEX}/mathgl_en.texi
	COMMAND ${findtp} ${MGL_TEX}/mathgl_en.texi
	DEPENDS ${list_texi_files_en} mathgl_en.texi ${MGL_PNG_N}
	WORKING_DIRECTORY ${MGL_OUT}
)
add_custom_command(OUTPUT ${MGL_OUT}/mgl_en.pdf
	COMMAND ${findtp} ${MGL_TEX}/mgl_en.texi
	COMMAND ${findtp} ${MGL_TEX}/mgl_en.texi
	COMMAND ${findtp} ${MGL_TEX}/mgl_en.texi
	DEPENDS ${list_texi_files_en} mgl_en.texi ${MGL_PNG_N}
	WORKING_DIRECTORY ${MGL_OUT}
)

add_custom_command(OUTPUT ${MGL_OUT}/mathgl_ru.pdf
	COMMAND ${findtp} ${MGL_TEX}/mathgl_ru.texi
	COMMAND ${findtp} ${MGL_TEX}/mathgl_ru.texi
	COMMAND ${findtp} ${MGL_TEX}/mathgl_ru.texi
	DEPENDS ${list_texi_files_ru} mathgl_ru.texi ${MGL_PNG_N}
	WORKING_DIRECTORY ${MGL_OUT}
)
add_custom_command(OUTPUT ${MGL_OUT}/mgl_ru.pdf
	COMMAND ${findtp} ${MGL_TEX}/mgl_ru.texi
	COMMAND ${findtp} ${MGL_TEX}/mgl_ru.texi
	COMMAND ${findtp} ${MGL_TEX}/mgl_ru.texi
	DEPENDS ${list_texi_files_en} mgl_ru.texi ${MGL_PNG_N}
	WORKING_DIRECTORY ${MGL_OUT}
)

if(MGL_HAVE_DOC_INFO)
	add_custom_target(doc_info ALL
		DEPENDS ${MGL_OUT}/mathgl_en.info
		DEPENDS ${MGL_OUT}/mathgl_ru.info
	)
# TODO: try to install all mathgl*.info* in future!!!
	install(FILES ${MGL_OUT}/mathgl_en.info ${MGL_OUT}/mathgl_en.info-1 ${MGL_OUT}/mathgl_en.info-2 ${MGL_OUT}/mathgl_en.info-3 DESTINATION ${MGL_INFO_PATH})
endif(MGL_HAVE_DOC_INFO)

if(MGL_HAVE_DOC_HTML)
	add_custom_target(doc_html ALL
	DEPENDS ${MGL_OUT}/mgl_en.html
	DEPENDS ${MGL_OUT}/mathgl_en.html
	DEPENDS ${MGL_OUT}/mgl_ru.html
	DEPENDS ${MGL_OUT}/mathgl_ru.html
	)
	install(FILES ${MGL_TEX}/qt.png ${MGL_TEX}/fltk.png ${MGL_TEX}/classes.png ${MGL_TEX}/datadvance.png DESTINATION ${MGL_DOC_PATH})
	install(FILES ${MGL_OUT}/mathgl_en.html ${MGL_OUT}/mgl_en.html ${MGL_OUT}/mathgl_ru.html ${MGL_OUT}/mgl_ru.html DESTINATION ${MGL_DOC_PATH})
	install(DIRECTORY ${MGL_OUT}/png DESTINATION ${MGL_DOC_PATH})
	install(DIRECTORY ${MGL_OUT}/udav DESTINATION ${MGL_DOC_PATH})
endif(MGL_HAVE_DOC_HTML)

if(MGL_HAVE_DOC_SITE)
	add_custom_target(doc_site ALL
	DEPENDS ${site_en}
	DEPENDS ${site_ru}
	)
endif(MGL_HAVE_DOC_SITE)

if(MGL_HAVE_DOC_PDF_EN)
	add_custom_target(doc_en ALL
		DEPENDS ${MGL_OUT}/mgl_en.pdf
		DEPENDS ${MGL_OUT}/mathgl_en.pdf
	)
	install(FILES ${MGL_OUT}/mathgl_en.pdf ${MGL_OUT}/mgl_en.pdf DESTINATION ${MGL_DOC_PATH})
endif(MGL_HAVE_DOC_PDF_EN)

if(MGL_HAVE_DOC_PDF_RU)
	add_custom_target(doc_ru ALL
#			DEPENDS ${MGL_OUT}/mgl_ru.pdf
#			DEPENDS ${MGL_OUT}/mathgl_ru.pdf
	)
#		install(FILES ${MGL_OUT}/mathgl_ru.pdf DESTINATION ${MGL_DOC_PATH})
endif(MGL_HAVE_DOC_PDF_RU)

=== debian/changelog ===
mathgl (8.0.2-3build2) plucky; urgency=medium

  * No-change rebuild for openmpi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Dec 2024 21:56:21 +0100

mathgl (8.0.2-3build1) plucky; urgency=medium

  * No-change rebuild for openmpi soname change

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 01 Dec 2024 16:16:07 +0000

mathgl (8.0.2-3) unstable; urgency=medium

  * Rebuilding without tests for s390x because of #1066978
    Downgrading the bug to normal; test failure appears to be
    filesystem related, unrelated to mathgl  ? but leaving for the
    s390x team to investigate.
  * Build-dep on python-setuptools. Closes: #1080666

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 Nov 2024 07:08:48 +0000

mathgl (8.0.2-2) unstable; urgency=medium

  * New upstream version 8.0.2
  * d/control:
    + Drop uneeded buidl-dependencies texinfo, texlive, and
      texlive-plain-generic
    + Do not build-depend on python3-all for profile "nocheck"
  * d/p/spelling-errors.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Wed, 09 Oct 2024 05:16:27 -0300

mathgl (8.0.2-1) unstable; urgency=medium

  * New upstream version 8.0.2
  * d/control:
    + Drop uneeded buidl-dependencies texinfo, texlive, and
      texlive-plain-generic
    + Do not build-depend on python3-all for profile "nocheck"

 -- Rafael Laboissière <rafael@debian.org>  Wed, 09 Oct 2024 04:41:57 -0300

mathgl (8.0.1-8) unstable; urgency=medium

  * d/control: Build-depend on python3-all
  * d/t/control: Drop useless dependency on python3-all
  * d/rules: Add -Werror=format-security to CXXFLAGS
  * d/clean: Remove left-over directories lang/python{2,3}

 -- Rafael Laboissière <rafael@debian.org>  Sun, 28 Apr 2024 18:11:07 -0300

mathgl (8.0.1-7.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 22 Feb 2024 17:18:28 +1300

mathgl (8.0.1-5.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Graham Inggs <ginggs@debian.org>  Sat, 03 Feb 2024 20:21:23 +0000

=== debian/control ===
Source: mathgl
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>,
  Alastair McKinstry <mckinstry@debian.org>,
  Rafael Laboissière <rafael@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5),
 chrpath,
 cmake,
 debhelper-compat (= 13),
 desktop-file-utils,
 dh-sequence-python3,
 file,
 fluid,
 freeglut3-dev,
 libfltk1.3-dev,
 libfontconfig-dev,
 libgif-dev,
 libgl-dev,
 libgsl-dev,
 libhdf4-dev,
 libhdf5-dev,
 libhpdf-dev,
 libjpeg-dev,
 libltdl-dev,
 liblua5.1-dev,
 libpng-dev,
 libqt5opengl5-dev,
 libqt5webkit5-dev,
 libtiff-dev,
 libwxgtk3.2-dev,
 libxcursor-dev,
 libxft-dev,
 libxi-dev,
 libxinerama-dev,
 libxmu-dev,
 mpi-default-dev,
 python3-all <!nocheck>,
 python3-dev,
 python3-numpy,
 python3-setuptools,
 qtwebengine5-dev [amd64 arm64 armhf i386],
 swig
Standards-Version: 4.6.2
Homepage: https://mathgl.sourceforge.net/doc_en/Main.html
Vcs-Git: https://salsa.debian.org/science-team/mathgl.git
Vcs-Browser: https://salsa.debian.org/science-team/mathgl
Rules-Requires-Root: no

Package: mathgl
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl8t64 (= ${binary:Version})
Description: library for scientific graphs (utilities and examples)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains MathGL utilities and examples.

Package: udav
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl8t64 (= ${binary:Version})
Description: library for scientific graphs (window interface)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the udav window environment based on mathgl.

# Package: mathgl-doc-en
# Architecture: all
# Section: doc
# Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
# Replaces: mathgl-doc, mathgl-doc-ru
# Conflicts: mathgl-doc, mathgl-doc-ru
# Description: library for scientific graphs (English documentation)
#  A free cross-platform library of fast C++ routines for plotting data in up
#  to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
#  files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
#  MathGL can also be used in the console. There are interfaces to a set of
#  languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
#  .
#  This package contains the MathGL documentation in English.

Package: libmgl8t64
Provides: ${t64:Provides}
Replaces: libmgl8
Breaks: libmgl8 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl-data (= ${source:Version})
Description: library for scientific graphs (main runtime library)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the shared object files.

Package: libmgl-mpi8t64
Provides: ${t64:Provides}
Replaces: libmgl-mpi8
Breaks: libmgl-mpi8 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl-data (= ${source:Version})
Description: library for scientific graphs (mpi enhanced runtime library)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the, parallel interface enhanced, shared object
 files.

Package: libmgl-wnd8t64
Provides: ${t64:Provides}
Replaces: libmgl-wnd8
Breaks: libmgl-wnd8 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for scientific graphs (windows runtime library)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the window opening related shared object files based
 on Fltk, Qt and Wx.

Package: libmgl-glut8t64
Provides: ${t64:Provides}
Replaces: libmgl-glut8
Breaks: libmgl-glut8 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for scientific graphs (glut interface for windows)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the glut interface shared object files for window
 opening.

Package: libmgl-qt5-8t64
Provides: ${t64:Provides}
Replaces: libmgl-qt5-8
Breaks: libmgl-qt5-8 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for scientific graphs (Qt interface for windows)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the Qt interface shared object files for window
 opening.

Package: libmgl-fltk8t64
Provides: ${t64:Provides}
Replaces: libmgl-fltk8
Breaks: libmgl-fltk8 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for scientific graphs (fltk interface for windows)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the fltk interface shared object files for window
 opening.

Package: libmgl-wx8t64
Provides: ${t64:Provides}
Replaces: libmgl-wx8
Breaks: libmgl-wx8 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for scientific graphs (wx interface for windows)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the wx interface shared object files for window
 opening.

# Package: mgl-lua
# Architecture: any
# Section: libs
# Depends: ${shlibs:Depends}, ${misc:Depends}, libmgl-data
# Description: library for scientific graphs (Lua interface)
#  A free cross-platform library of fast C++ routines for plotting data in up
#  to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
#  files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
#  MathGL can also be used in the console. There are interfaces to a set of
#  languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
#  .
#  This package contains the Lua interface shared object files.

Package: libmgl-data
Architecture: all
Multi-Arch: foreign
Section: misc
Depends: ${misc:Depends}
Description: library for scientific graphs (data files)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the MathGL data files.

Package: libmgl-dev
Architecture: any
Section: libdevel
Depends: libgif-dev,
         libgsl-dev,
         libgl-dev,
         libhdf4-dev,
         libhdf5-dev,
         libhpdf-dev,
         libmgl8t64 (= ${binary:Version}),
         libmgl-fltk8t64 (= ${binary:Version}),
         libmgl-glut8t64 (= ${binary:Version}),
         libmgl-mpi8t64 (= ${binary:Version}),
         libmgl-qt5-8t64 (= ${binary:Version}),
         libmgl-wnd8t64 (= ${binary:Version}),
         libmgl-wx8t64 (= ${binary:Version}),
         libpng-dev,
         mathgl,
         udav,
         ${misc:Depends}
Description: library for scientific graphs (development files)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package contains the development files.

Package: python3-mathgl
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3,
 python3-numpy
Description: library for scientific graphs (Python module)
 A free cross-platform library of fast C++ routines for plotting data in up
 to 3 dimensions. It can export plots to bitmaps and vector EPS, SVG, IDTF
 files. There are simple window interfaces based on GLUT, FLTK and/or Qt.
 MathGL can also be used in the console. There are interfaces to a set of
 languages, such as, C, Fortran, Pascal, Forth, Python, Octave.
 .
 This package provides the Python v.3 module for mathgl.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v

include /usr/share/dpkg/architecture.mk

ifneq (,$(filter $(DEB_BUILD_ARCH),mips mipsel))
	export DEB_CXXFLAGS_MAINT_APPEND = -g0
endif

# See #1066978
ifneq (,$(filter $(DEB_BUILD_ARCH),s390x))
	export DEB_BUILD_OPTIONS += nocheck
endif

DOTTED:=`py3versions -d  |  sed 's/python//' `
NODOT:=`py3versions -d | sed 's/\.//' | sed 's/python//' `

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure --			\
                -DPY3VERSION_DOTTED=$(DOTTED)	\
                -DPY3VERSION_NODOT=$(NODOT)	\
                -Denable-mpi=ON			\
                -Denable-ltdl=ON		\
                -Denable-jpeg=ON		\
                -Denable-gsl=ON			\
                -Denable-hdf4=ON		\
                -Denable-hdf5=ON		\
                -Denable-pdf=ON			\
                -Denable-gif=ON			\
                -Denable-glut=ON		\
                -Denable-fltk=ON		\
                -Denable-wx=ON			\
                -Denable-qt5=ON			\
                -Denable-qt5asqt=ON		\
                -Denable-json-sample=ON		\
                -Denable-json-sample-we=ON	\
                -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
                -Denable-python=ON

override_dh_python3:
	dh_numpy3

ifneq (,$(filter $(DEB_BUILD_ARCH),mips mipsel alpha))
override_dh_dwz:
	@echo bypass dwz that causes build failures
endif

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	LOCAL=true debian/tests/run-tests
endif

execute_after_dh_installdeb-arch:
	echo "from .mathgl import *" > debian/python3-mathgl/usr/lib/python3/dist-packages/mathgl/__init__.py
